Mybatis3.3.x版本Bug

J2EE 码拜 4年前 (2017-04-16) 1238次浏览
Mybatis换到3.3.x版本以上,传入的对象放了日期就报错,改回3.2.x版本正常,错误如下:
org.mybatis.spring.MyBatisSystemException: nested exception is org.apache.ibatis.exceptions.PersistenceException:
### Error updating database.  Cause: java.lang.IllegalArgumentException: invalid comparison: java.util.Date and java.lang.String
### Cause: java.lang.IllegalArgumentException: invalid comparison: java.util.Date and java.lang.String
at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:79)
at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:447)
at com.sun.proxy.$Proxy29.update(Unknown Source)
at org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:295)
at org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)
at org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:53)
…………………………………………………….
…………………………………………………….
大家有没有遇到这样的问题?不想改jar版本,不知道有没有什么其它解决方法?
Mybatis3.3.x版本Bug
解决方案

40

查查手册,是不是对象从 java.util.Date改为 java.sql.Date

CodeBye 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明Mybatis3.3.x版本Bug
喜欢 (0)
[1034331897@qq.com]
分享 (0)